VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "s_DataImporter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
' ====== Test data importer ======
Option Explicit

' TODO:
' Public Function Init(dest As InfoDatabase, addTBA As Boolean)
' Public Function LoadDocs(ByRef iSource As IteratorLaw)
' Public Function LoadLinks(ByRef iSource As IteratorLinkAll)

Private db_ As InfoDatabase

Public Function Setup()
  ' Mandatory setup function
  Set db_ = New InfoDatabase
'  Call db_.Init(ThisWorkbook, FixLocalPath(TEST_FOLDER, ThisWorkbook.Path))
End Function

Public Function Teardown()
  ' Mandatory teardown function
  Call ClearData
End Function

Public Function t_Init()
  On Error GoTo PROPAGATE_ERROR
  
  
  
  Exit Function
PROPAGATE_ERROR:
  Call Dev_LogError(Err.Number, Err.Description)
End Function

